Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Fatal error 'break' not in the 'loop' or 'switch' context  (Read 2533 times)

0 Members and 1 Guest are viewing this topic.

Mag

  • Coppermine newbie
  • Offline Offline
  • Posts: 1
Fatal error 'break' not in the 'loop' or 'switch' context
« on: March 05, 2018, 08:39:10 pm »

Hi,

When trying to upload photos, I get the following error message:
Fatal error: 'break' not in the 'loop' or 'switch' context in /home2/venia/public_html/galerija/include/picmgmt.inc.php on line 588

Could you please advise how to fix the issue? The version I'm using is 1.5.8.

Thank you.
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4664
    • Windsurf.me
Re: Fatal error 'break' not in the 'loop' or 'switch' context
« Reply #1 on: March 05, 2018, 08:48:31 pm »

Upgrading should fix that. You are a very long way behind. I would recommend jumping to 1.6.x now if your themes and plugins are compatible
Logged
It is a mistake to think you can solve any major problems just with potatoes.

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 1271
Re: Fatal error 'break' not in the 'loop' or 'switch' context
« Reply #2 on: March 05, 2018, 10:09:36 pm »

That error would occur if your host is now use PHP 7 on your site. You should upgrade as soon as possible to CPG 1.6.x as it is the only version that fully works with PHP 7. Perhaps your host has a way they can allow you to run an older (5.x) version of PHP until you get everything brought up to date.
Logged
Pages: [1]   Go Up
 

Page created in 0.015 seconds with 20 queries.